package dev.shadowsoffire.apotheosis;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import dev.shadowsoffire.apotheosis.Apotheosis;
import dev.shadowsoffire.placebo.registry.DeferredHelper;
import java.util.function.BooleanSupplier;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.fml.javafmlmod.FMLJavaModLoadingContext;
import net.minecraftforge.registries.RegisterEvent;

public class ModularDeferredHelper extends DeferredHelper {
  protected final BooleanSupplier flag;
  
  public static ModularDeferredHelper create(BooleanSupplier flag) {
    ModularDeferredHelper helper = new ModularDeferredHelper(flag);
    FMLJavaModLoadingContext.get().getModEventBus().register(helper);
    return helper;
  }
  
  protected ModularDeferredHelper(BooleanSupplier flag) {
    super("apotheosis");
    this.flag = flag;
  }
  
  @SubscribeEvent
  public void register(RegisterEvent e) {
    if (this.flag.getAsBoolean())
      super.register(e); 
  }
}
